<!doctype html>
<html class="no-js" lang="">
    @@include('./template/_head.html')
    <body>
    	
    	@@include('./template/_header.html')
    	<div class="pageWrap">
    		
    		<div class="pdlist_title">
                <h2>DRESS</h2>      
                <ul>
                    <li><a href="#">長洋裝</a></li>
                    <li><a href="#">短洋裝</a></li>
                </ul>
            </div>
            
            <!-- filter -->
            <div class="filter">
                <a href="#" class="filter_toggler">排序 SORT BY</a>
                <div class="filter_inner">
                    <a href="#" class="filter_close ess-icon"></a>

                    <!-- price filter -->
                    <div class="filter_box priceFilter">
                        <p>PRICE</p>
                        <ul>
                            <li data-value="heigh">HIGH TO LOW</li>
                            <li data-value="low">LOW TO HIGHT</li>
                        </ul>
                    </div>
                    <!-- end price filter -->

                    <!-- size filter -->
                    <div class="filter_box sizeFilter">
                        <p>SIZE</p>
                        <ul>
                            <li data-value="xs">XS</li>
                            <li data-value="s">S</li>
                            <li data-value="m">M</li>
                            <li data-value="l">L</li>
                            <li data-value="xl">XL</li>
                            <li data-value="f">F</li>
                        </ul>
                        <ul>
                            <li data-value="35">35</li>
                            <li data-value="36">36</li>
                            <li data-value="37">37</li>
                            <li data-value="38">38</li>
                            <li data-value="39">39</li>
                            <li data-value="40">40</li>
                            <li data-value="41">41</li>
                        </ul>
                    </div>
                    <!-- end size filter -->

                    <div class="filter_bottom clearfix">
                        <span>SIZE可複選</span>
                        <input type="submit" name="" value="確認" class="filter_click">
                        <input type="reset" name="" value="清除" class="filter_clear">
                    </div>
                </div>
            </div>
            <!-- end filter -->


            <ul class="pdlist clearfix">
                <li>
                    <a href="#">
                        <figure>
                            <img src="images/assets/pdlist1.jpg">
                        </figure>
                        <div class="pdlist_tag">
                            <img src="images/icons/icon_new.jpg">
                        </div>
                        <p class="pdlist_name">立領削肩小洋裝</p>
                        <div class="pdlist_size">
                            <span class="nostock">S</span>
                            <span>M</span>
                            <span>L</span>
                        </div>
                        <div class="pdlist_price">
                            <p>TWD. 640</p>
                        </div>
                    </a>
                </li>
                <li>
                    <a href="#">
                        <figure>
                            <img src="images/assets/pdlist2.jpg">
                        </figure>
                        <div class="pdlist_tag">
                            <img src="images/icons/icon_new.jpg">
                            <img src="images/icons/icon_preorder.jpg">
                        </div>
                        <p class="pdlist_name">立領削肩小洋裝</p>
                        <div class="pdlist_size">
                            <span>S</span>
                            <span class="nostock">M</span>
                            <span>L</span>
                        </div>
                        <div class="pdlist_price">
                            <p>TWD. 640</p>
                        </div>
                    </a>
                </li>
                <li>
                    <a href="#">
                        <figure>
                            <img src="images/assets/pdlist3.jpg">
                        </figure>
                        <div class="pdlist_tag">
                            <img src="images/icons/icon_new.jpg">
                        </div>
                        <p class="pdlist_name">立領削肩小洋裝</p>
                        <div class="pdlist_size">
                            <span>S</span>
                            <span>M</span>
                            <span>L</span>
                        </div>
                        <div class="pdlist_price">
                            <p>TWD. 640</p>
                        </div>
                    </a>
                </li>
                <li>
                    <a href="#">
                        <figure>
                            <img src="images/assets/pdlist4.jpg">
                        </figure>
                        <div class="pdlist_tag">
                            <img src="images/icons/icon_new.jpg">
                        </div>
                        <p class="pdlist_name">立領削肩小洋裝</p>
                        <div class="pdlist_size">
                            <span>S</span>
                            <span>M</span>
                            <span>L</span>
                        </div>
                        <div class="pdlist_price">
                            <p>TWD. 640</p>
                        </div>
                    </a>
                </li>
                <li>
                    <a href="#">
                        <figure>
                            <img src="images/assets/pdlist5.jpg">
                            <div class="pdlist_soldout">
                                <span>Sold Out!</span>
                            </div>
                        </figure>
                        <div class="pdlist_tag">
                            <img src="images/icons/icon_new.jpg">
                        </div>
                        <p class="pdlist_name">立領削肩小洋裝</p>
                        <div class="pdlist_size">
                            <span class="nostock">S</span>
                            <span class="nostock">M</span>
                            <span class="nostock">L</span>
                        </div>
                        <div class="pdlist_price">
                            <p>TWD. 640</p>
                        </div>
                    </a>
                </li>
            </ul>
            <!-- end pdlist -->


            <div class="pagination">
                <a href="#"><</a>
                <a href="#"><<</a>
                <a href="#" class="current">1</a>
                <a href="#">2</a>
                <a href="#">3</a>
                <a href="#">4</a>
                <a href="#">5</a>
                <a href="#">>></a>
                <a href="#">></a>
            </div>


            @@include('./template/_pageFooter.html')

    	</div><!-- end pageWrap -->


        <script>
            $(function() {


                $('.filter_toggler').on('click', function(e) {
                    e.preventDefault();
                    $('.filter').addClass('opened');
                });
                $('.filter_close').on('click', function(e) {
                    e.preventDefault();
                    closeFilter();
                })

                $('.filter_box li').on('click', function() {
                    if ($(this).parents('.filter_box').hasClass('priceFilter')) {
                        $(this).parents('.filter_box').find('li').removeClass('active');
                        $(this).addClass('active');
                    } else {
                        $(this).toggleClass('active');    
                    }
                });

                $('.filter_bottom .filter_click').on('click', function(e) {
                    e.preventDefault();
                    var filterVal = '';
                    var filterLength = $('.filter_box li.active').length;
                    $('.filter_box li.active').each(function(index) {
                        if (index === (filterLength - 1)) {
                            filterVal = filterVal + $(this).data('value');
                        } else {
                            filterVal = filterVal + $(this).data('value') + ',';    
                        }

                    });
                    console.log('test: ' + filterVal);
                });

                $('.filter_bottom .filter_clear').on('click', function(e) {
                    e.preventDefault();
                    $('.filter_box li').removeClass('active');
                });


                function closeFilter() {
                    $('.filter').removeClass('opened');
                }
            });
        </script>

        

    	<div class="pageCover"></div>
    	@@include('./template/_footer.html')
    	
    </body>
</html>